Bug 236343 - [MAINTAINER] net/eternalterminal: update to 5.1.9
Summary: [MAINTAINER] net/eternalterminal: update to 5.1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-07 02:23 UTC by Trevis
Modified: 2019-03-09 03:59 UTC (History)
1 user (show)

See Also:


Attachments
update diff (1.03 KB, patch)
2019-03-07 02:23 UTC, Trevis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trevis 2019-03-07 02:23:23 UTC
Created attachment 202667 [details]
update diff

Should be a pretty routine update. This is my first update to a port, so if I missed something from the porter's handbook, then feedback is very welcome!
Comment 1 Koichiro Iwao freebsd_committer 2019-03-08 09:26:58 UTC
Generally, before submitting patch,
- verify the port using portlint
- verify pkg-plist have no orphaned/missing files

To verify pkg-plist, you can use poudriere but it is a little bit difficult to setup. `make clean stage check-orphans` is enough.


Regarding this patch,
- reset PORTREVISION to 0 when updating PORTVERSION
- PORTREVISION=0 line is not necessary so simply remove it
- PLIST_FILES is incorrect, some files orphaned

I'll fix on my side and commit it at this time.
Comment 2 commit-hook freebsd_committer 2019-03-09 03:16:01 UTC
A commit references this bug:

Author: meta
Date: Sat Mar  9 03:15:10 UTC 2019
New revision: 495095
URL: https://svnweb.freebsd.org/changeset/ports/495095

Log:
  net/eternalterminal: Update to 5.1.9

  PR:		236343
  Submitted by:	Trevis <trevis@silencedpoet.com> (maintainer)

Changes:
  head/net/eternalterminal/Makefile
  head/net/eternalterminal/distinfo
Comment 3 Koichiro Iwao freebsd_committer 2019-03-09 03:23:36 UTC
Committed, thanks!
Comment 4 Trevis 2019-03-09 03:36:15 UTC
(In reply to Koichiro Iwao from comment #1)

Thank you for the feedback! Thought I had run portlint, and the way to verify pkg-plist is very useful .

Really appreciate that you took the time to clean up the patch. Hope to become a high value contributor and getting helpful feedback, especially so quickly, is awesome!
Comment 5 Koichiro Iwao freebsd_committer 2019-03-09 03:59:28 UTC
(In reply to Trevis from comment #4)
Nobody's perfect from the beginning including myself. Keep going! :)